Name:           torium
Version:        0.4.2
Release:        9%{?dist}
Summary:        A minimalistic, easily configurable torrent client for Linux 

Group:          Applications/Internet
License:        ISC
URL:            http://bithack.se/projects/torium
Source0:        http://downloads.sf.net/torium/%{name}-%{version}.tar.gz
Patch0:         DSO.patch
Patch1:         fix_add_torrent-function.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rb_libtorrent-devel >= 0.13, gtkmm24-devel, libnotify-devel, boost-devel
BuildRequires: desktop-file-utils  
       

%description
A minimalistic, easily configurable torrent client for Linux.

%prep
%setup -q
%patch0 -p1 -b .DSO
%patch1 -p1 -b .fix_add_torrent-function


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

desktop-file-install                                    \
--delete-original                                       \
--add-category=FileTransfer                             \
--remove-key=Encoding                                   \
--remove-key=NotShowIn                                  \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications              \
$RPM_BUILD_ROOT/%{_datadir}/applications/torium.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/torium
%{_datadir}/applications/torium.desktop
%{_datadir}/torium


%changelog
* Wed Aug 25 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.2-9
- track lib soname

* Fri Jul 30 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.2-8
- rebuild for new boost version

* Sat Feb 13 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.2-7
- Fix DSO linking failure RHBZ#565083

* Tue Jan 19 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.2-6
- rebuilt for new boost version

* Sat Jan 09 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.2-5
- Fixed the add_torrent-function

* Sat Oct 03 2009 leigh scott <leigh123linux@googlemail.com> - 0.4.2-4
- preserve the time stamps of the flags

* Sat Oct 03 2009 leigh scott <leigh123linux@googlemail.com> - 0.4.2-3
- Make review changes
- re-add the flags as the flag policy was revoked
- fix desktop file
- add disable-schemas-install to configure

* Thu Oct 01 2009 leigh scott <leigh123linux@googlemail.com> - 0.4.2-2
- clean up spec file
- add patch to remove country flags
- add scriptlets to update-desktop-database

* Thu Oct 01 2009 leigh scott <leigh123linux@googlemail.com> - 0.4.2-1
- rebuilt
- add Br gtkmm24-devel, libnotify-devel & boost-devel

* Fri Feb 27 2009  leigh scott <leigh123linux@googlemail.com> - 0.3.1-1
- First build
